# Urlaubsverwaltung

ESA2 (Leistungsnachweis) zum vhb-Kurs „C++ Teil 1“

### Aufgabenstellung:
Sie sollen ein Programm zur Urlaubsverwaltung in C++ realisieren.
Schreiben Sie ein C++-Programm nach objektorientierten Grundsätzen (das Programm muss eine oder mehrere Klassen enthalten), das mindestens folgenden Sachverhalt abdeckt.


### Ausgangssituation: 
Sie wollen ein Programm zur Verwaltung des Urlaubs der Mitarbeiter an Ihrer Hochschule erstellen.
Jeder Mitarbeiter hat 30 Tage.
Mitarbeiter, die zum 01.01.des laufenden Kalenderjahrs das 50 Lebensjahr bereits vollendet haben, erhalten 32 Tage Urlaub.
Von jedem Mitarbeiter wird gespeichert:

- Name
- Vorname
- Geburtsdatum
- Bereits in Anspruch genommener Urlaub

Bei Programmstart ist die „Datenbank“ der Urlaubsverwaltung leer, die Daten müssen erst eingegeben werden. Die Daten müssen nur während der Laufzeit verfügbar sein (keine permanente Speicherung nötig!).


### Aufgabe:

Das Programm muss folgendes leisten:

- Verwaltung von maximal 500 Mitarbeitern
- Anlegen und Löschen eines Mitarbeiters
- Eingabe der Tage, wenn der Mitarbeiter Urlaub nehmen möchte  (muss mehrfach möglich sein)
- Suche eines Mitarbeiters mit Ausgabe seiner Daten und wie viel Resturlaub er noch hat.
- Auflistung aller gespeicherten Mitarbeiterdaten

**Dokumentieren Sie Ihr Programm durch Kommentare im Quelltext.**